<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="dcpp_how_to_display_whitespaces_in_code_blocks">
  <title>How to Display Whitespaces in Code Blocks</title>
  <body>
    <p id="p_hk5_jjn_pvb">
      <note id="note_axz_jjn_pvb">This topic refers only to the <uicontrol
          keyref="pdf-html5-transformation"/> transformation type.</note>
    </p>
    <p id="p_fbv_cgk_54b">You can display whitespace characters in code blocks to visualize
      indentation in the PDF. In the DITA topics, set the <xmlatt>outputclass</xmlatt> attribute on
      the <xmlelement>codeblock</xmlelement> elements to the <codeph>show-whitespace</codeph>
      value.</p>
    <note id="note_fdz_4yz_4vb">It is possible to use the
        <xmlatt>outputclass="show-whitespace"</xmlatt> together with any of the
        <codeph>language</codeph> or <codeph>show-line-numbers</codeph>
      <xmlatt>outputclass</xmlatt> values (e.g. <xmlatt>outputclass="language-java show-line-numbers
        show-whitespace"</xmlatt>).</note>
    <p id="p_ibv_cgk_54b">For example, for a java
      snippet:<codeblock  id="codeblock_jbv_cgk_54b">&lt;codeblock outputclass="show-whitespace">
public void convert(String systemId, InputStream is) {
  return new FileInputStream();
}
&lt;/codeblock></codeblock></p>
    <p id="p_kbv_cgk_54b">The resulting HTML fragment in the merged HTML5 document
      is:<codeblock  id="codeblock_lbv_cgk_54b">&lt;pre class="+ topic/pre pr-d/codeblock pre codeblock show-whitespaces"
outputclass="show-whitespaces" xml:space="preserve">
public·void·convert(String·systemId,·InputStream·is)·{
··return·new·FileInputStream();
}
&lt;/pre></codeblock></p>
    <p id="p_mbv_cgk_54b">And in the output, it is rendered as:</p>
    <image href="../img/dcpp_how_to_display_whitespaces.png" id="image_znd_xzz_4vb"/>
  </body>
</topic>
